# Generated by Django 3.2.5 on 2021-09-21 22:33

import announcement.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Announcement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('room_number', models.CharField(max_length=6)),
                ('bedroom_number', models.IntegerField(default=1)),
                ('room_square', models.FloatField(default=0)),
                ('floor', models.IntegerField()),
                ('price', models.IntegerField()),
                ('square', models.FloatField()),
                ('deposit', models.IntegerField()),
                ('commission', models.IntegerField()),
                ('has_children', models.BooleanField()),
                ('has_pet', models.BooleanField()),
                ('address', models.CharField(max_length=255)),
                ('is_active', models.BooleanField(default=True)),
                ('longitude', models.CharField(max_length=100, null=True)),
                ('latitude', models.CharField(max_length=100, null=True)),
                ('status', models.CharField(choices=[('Активно', 'Active'), ('На модерации', 'Moderation'), ('Приостановлено', 'Disabled')], default='На модерации', max_length=30)),
                ('type', models.CharField(choices=[('Комната', 'Room'), ('Квартира', 'Flat')], default='Квартира', max_length=30)),
                ('author', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Images',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to=announcement.models.get_flat_image)),
                ('announcement', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='images', to='announcement.announcement')),
            ],
        ),
    ]
